// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/

/** Ionic CSS Variables **/
:root {
  --ion-color-primary: #1b3b48;
  --ion-color-primary-rgb: 27, 59, 72;
  --ion-color-primary-contrast: var(--ion-color-secondary);
  --ion-color-primary-contrast-rgb: var(--ion-color-secondary-rgb);
  --ion-color-primary-shade: #18343f;
  --ion-color-primary-tint: #324f5a;

  --ion-color-secondary: #fee980;
  --ion-color-secondary-rgb: 254, 233, 128;
  --ion-color-secondary-contrast: var(--ion-color-primary);
  --ion-color-secondary-contrast-rgb: var(--ion-color-primary-rgb);
  --ion-color-secondary-shade: #e0cd71;
  --ion-color-secondary-tint: #feeb8d;

  --ion-color-tertiary: #639eca;
  --ion-color-tertiary-rgb: 99, 158, 202;
  --ion-color-tertiary-contrast: var(--ion-color-primary);
  --ion-color-tertiary-contrast-rgb: var(--ion-color-primary-rgb);
  --ion-color-tertiary-shade: #578bb2;
  --ion-color-tertiary-tint: #73a8cf;

  --ion-color-success: #79c3b4;
  --ion-color-success-rgb: 121, 195, 180;
  --ion-color-success-contrast: var(--ion-color-primary);
  --ion-color-success-contrast-rgb: var(--ion-color-primary-rgb);
  --ion-color-success-shade: #6aac9e;
  --ion-color-success-tint: #86c9bc;

  --ion-color-warning: #f6ac6f;
  --ion-color-warning-rgb: 246, 172, 111;
  --ion-color-warning-contrast: var(--ion-color-primary);
  --ion-color-warning-contrast-rgb: var(--ion-color-primary-rgb);
  --ion-color-warning-shade: #d89762;
  --ion-color-warning-tint: #f7b47d;

  --ion-color-danger: #e77474;
  --ion-color-danger-rgb: 231, 116, 116;
  --ion-color-danger-contrast: var(--ion-color-primary);
  --ion-color-danger-contrast-rgb: var(--ion-color-primary-rgb);
  --ion-color-danger-shade: #cb6666;
  --ion-color-danger-tint: #e98282;

  --ion-color-dark: #222428;
  --ion-color-dark-rgb: 34, 34, 34;
  --ion-color-dark-contrast: #ffffff;
  --ion-color-dark-contrast-rgb: 255, 255, 255;
  --ion-color-dark-shade: #1e2023;
  --ion-color-dark-tint: #383a3e;

  --ion-color-medium: #989aa2;
  --ion-color-medium-rgb: 152, 154, 162;
  --ion-color-medium-contrast: #ffffff;
  --ion-color-medium-contrast-rgb: 255, 255, 255;
  --ion-color-medium-shade: #86888f;
  --ion-color-medium-tint: #a2a4ab;

  --ion-color-light: #f4f5f8;
  --ion-color-light-rgb: 244, 244, 244;
  --ion-color-light-contrast: #000000;
  --ion-color-light-contrast-rgb: 0, 0, 0;
  --ion-color-light-shade: #d7d8da;
  --ion-color-light-tint: #f5f6f9;

  --ion-toolbar-background: var(--ion-color-primary);
  --ion-toolbar-color: var(--ion-color-light);

  --ion-text-color: var(--ion-color-primary);
  --ion-text-color-rgb: var(--ion-color-primary-rgb);

  --ion-background-color: var(--ion-color-light);
  --ion-background-color-rgb: var(--ion-color-light-rgb);
  .button-dismiss {
    background-color: var(--ion-color-danger);
    color: var(--ion-color-danger-contrast);
  }
  .button-accept {
    background-color: var(--ion-color-success);
    color: var(--ion-color-success-contrast);
  }
  .button-warn {
    background-color: var(--ion-color-secondary);
    color: var(--ion-color-secondary-contrast);
  }
}

ion-toolbar {
  padding-top: 25px !important;
}
ion-toast {
  --button-color: var(--ion-color-primary-contrast);
  --background: var(--ion-color-primary);
}
ion-popover {
  width: auto !important;
  --width: auto !important;
}
